com.sun.jna.platform.win32

## Class Winspool.NOTIFY_DATA_DATA

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Winspool.NOTIFY_DATA_DATA

Enclosing interface:
  Winspool

    @Structure.FieldOrder(value={"cbBuf","pBuf"})
    public static class Winspool.NOTIFY_DATA_DATA
    extends Structure

A struct containing non-numeric notification data - conditional content of a `Winspool.NOTIFY_DATA` union.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `cbBuf` Indicates the size, in bytes, of the buffer pointed to by pBuf.
`Pointer` `pBuf` Pointer to a buffer that contains the field's current data.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`NOTIFY_DATA_DATA()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cbBuf

    public int cbBuf

Indicates the size, in bytes, of the buffer pointed to by pBuf.

#### pBuf

    public Pointer pBuf

Pointer to a buffer that contains the field's current data.

### Constructor Detail

#### NOTIFY_DATA_DATA

    public NOTIFY_DATA_DATA()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.